> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Member Role

> Change a member's role.



## OpenAPI

````yaml /openapi.json patch /v1/orgs/{orgId}/members/{memberId}
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/members/{memberId}:
    patch:
      tags:
        - orgs
      summary: Update Member Role
      description: Change a member's role.
      operationId: orgs.updateMemberRole
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: memberId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              properties:
                role:
                  type: string
                  enum:
                    - owner
                    - admin
                    - member
              required:
                - role
      responses:
        '200':
          description: Updated member.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  userId:
                    type: string
                  email:
                    type: string
                  name:
                    type: string
                  role:
                    type: string
                    enum:
                      - owner
                      - admin
                      - member
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - userId
                  - email
                  - role
      security:
        - session: []
components:
  securitySchemes:
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````